Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## phelps.lang.reflect
Class Code_attribute

    java.lang.Object
      phelps.lang.reflect.Attribute_info
          phelps.lang.reflect.Code_attribute

public class Code_attribute
extends Attribute_info

Version:
  $Revision$ $Date$

Field Summary
`long` | `code_length`
`int` | `code_offset`
`int` | `max_locals`
`int` | `max_stack`

Fields inherited from class phelps.lang.reflect.Attribute_info
`attribute_name, attribute_offset`

Constructor Summary
`Code_attribute(Cp_info[] cp, ClassFile cf, java.lang.String name, int off)`

Method Summary
`void` | `disasm(Cp_info[] cp, ClassFile cf)`
`void` | `getBasicBlocks(Cp_info[] cp, ClassFile cf)`
`void` | `getInstructions(Cp_info[] cp, ClassFile cf)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### max_stack

    public int max_stack

### max_locals

    public int max_locals

### code_length

    public long code_length

### code_offset

    public int code_offset

Constructor Detail

### Code_attribute

    public Code_attribute(Cp_info[] cp,
                          ClassFile cf,
                          java.lang.String name,
                          int off)

Method Detail

### getBasicBlocks

    public void getBasicBlocks(Cp_info[] cp,
                               ClassFile cf)

### getInstructions

    public void getInstructions(Cp_info[] cp,
                                ClassFile cf)

### disasm

    public void disasm(Cp_info[] cp,
                       ClassFile cf)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Attribute_info`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD